﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DiscountCodeEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.DiscountCodeEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
            <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
                <h3 class="delimiter"><span><%=UI.Current.DiscountCodeDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Code)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CodeFieldView" InputToDisplayID="Code" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Code" Template-PropertyName="Code" 
                        ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Amount)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AmountFieldView" InputToDisplayID="Amount" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Amount" Template-PropertyName="Amount" 
                        ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Single)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="SingleFieldView" InputToDisplayID="Single" />
                      </td>
                      <td class="control">
                        <UI:CheckBox runat="server" ID="Single" Template-PropertyName="Single" 
                        ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(DiscountType)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="DiscountTypeFieldView" 
                        InputToDisplayID="DiscountType" />
                      </td>
                      <td class="control">
                        <UI:DropDownList id="DiscountType" runat="server" 
                        Template-PropertyName="DiscountType"
                        ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ExpiryDate)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ExpiryDateFieldView" InputToDisplayID="ExpiryDate" />
                      </td>
                      <td class="control">
                        <table cellpadding="0" cellspacing="0">
                          <tr>
                            <td><UI:DateTextBox id="ExpiryDate" runat="server" ExtendedTemplate-HighlightOnFocus="true" Template-PropertyName="ExpiryDate" /></td>
                            <td><%= ExpiryDate.RenderClearButton()%></td>
                          </tr>
                        </table>                                              
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>

<asp:CustomValidator ID="AmountValidator" runat="server" ErrorMessage="Percent Price must not exceed 100." 
Display="None" OnServerValidate="AmountServerValidate"/>
