﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitItemListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.ProductKitItemListing" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tbody>
    <tr>
      <td>
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <Filter:FiltersArea runat="server" ID="Filters" IsExpandedByDefault="true">
          <Filters>
            <UI:FilterTextBox runat="server" ID="SearchBox" />
            <UI:FilterDropDownList runat="server" ID="CategoriesFilter" PropertyName="Category" Title="Category" TitleKey="CategoryFilter" />
          </Filters>
        </Filter:FiltersArea>
      </td>
    </tr>
    <tr>
      <td>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
      </td>
    </tr>
    <tr>
      <td>
        <Grid:ProductKitItemGridView runat="server" ID="Grid" GroupPropertyName="Category.Name">
          <Columns>
            <List:GridColumn Header="Title" PropertyName="Title" Width="35" IsClickable="false"/>
            <List:GridColumn Header="Reference" PropertyName="Product.Reference" Width="35" IsClickable="false"/>
            <List:GridColumn Header="Price" PropertyName="Price" Width="15" IsClickable="false"/>
            <List:GridColumn Header="Quantity" PropertyName="Quantity" Width="15" IsClickable="false"/>
            <Grid:ProductKitDefaultItemColumn runat="server" CssClass="action-column cursor-hand" EnabledCssClass = "enabled" 
                      DisabledCssClass = "disabled" Width="1" InactiveCssClass="inactive-action-column"
                      Header="Default" HeaderKey="IsDefault" HeaderCssClass="" EnabledToolTip = "Enabled" 
                      DisabledToolTip = "Disabled" PropertyName="IsDefault"/>
          </Columns>
          <ActionColumns>
            <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
              InactiveCssClass="button-invisible" />
            <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
              InactiveCssClass="button-invisible" />
            <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
              InactiveCssClass="button-invisible" />                
            <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
              InactiveCssClass="inactive-action-column" />
          </ActionColumns>
          <InputRow>
            <List:TextBoxColumn PropertyName="Title" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-160" />
            <List:TextBoxColumn PropertyName="Price" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-39" />
            <List:TextBoxColumn PropertyName="Quantity" CssClass="textbox-column" ControlCssClass="grid-input text-field text-field-39" />
          </InputRow>                    
        </Grid:ProductKitItemGridView>
      </td>
    </tr>
    <tr>
      <td>
        <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
          <label class="line-label">
            <%=PageSize.FieldView%></label>
          <List:PageSizeChanger runat="server" ID="PageSize"/>
        </span>
        <List:Paginator runat="server" ID="GridPaginator"/>
      </td>
    </tr>
  </tbody>
</table>