﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerViewer.ascx.cs" Inherits="Core.Web.Admin.Controls.Viewer.CustomerViewer" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import Namespace="Core.Web.Constants.UI" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/AttributeValues/CustomerAttributesViewer.ascx" TagPrefix="uc" TagName="AttributesViewer" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>
                  <%=UI.Current.PersonalInfromation%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="FullNameFieldView" InputToDisplayID="FullNameField" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="FullNameField" runat="server" Template-PropertyName="CustomerProfile.FullName" Template-DisplayName="Name" />
                      </td>
                    </tr>
                    <%if (Entity != null && !Entity.IsNew && Entity.Account != null)
                      { %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AccountNumberFieldView" InputToDisplayID="AccountNumberField" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AccountNumberField" runat="server" Template-PropertyName="Account.AccountID" />
                      </td>
                    </tr>
                    <%} %>
                    <% if (ShowBalance)
                       { %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="BalanceFieldView" InputToDisplayID="Balance" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Balance" runat="server" Template-PropertyName="Balance" />
                      </td>
                    </tr>
                    <% } %>
                    <% if (!IsUseEmailAsLoginEnabled)
                       { %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="LoginFieldView" InputToDisplayID="Login" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Login" runat="server" Template-PropertyName="Account.Login" />
                      </td>
                    </tr>
                    <% } %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="Email" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Email" runat="server" Template-PropertyName="Account.Email" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="RoleFieldView" InputToDisplayID="Role" />
                      </td>
                      <td class="control-value">
                        <UI:Label runat="server" ID="Role" Template-PropertyName="Account.AccountType.Name" Template-DisplayName="Role" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CompanyFieldView" InputToDisplayID="Company" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Company" runat="server" Template-PropertyName="CustomerProfile.Company" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="FullAddressFieldView" InputToDisplayID="FullAddress" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="FullAddress" runat="server" Template-PropertyName="CustomerProfile.FullAddress" Template-DisplayName="Address" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="PhoneFieldView" InputToDisplayID="Phone" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Phone" runat="server" Template-PropertyName="CustomerProfile.Phone" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MobileFieldView" InputToDisplayID="Mobile" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Mobile" runat="server" Template-PropertyName="CustomerProfile.Mobile" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="FaxFieldView" InputToDisplayID="Fax" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Fax" runat="server" Template-PropertyName="CustomerProfile.Fax" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="WebsiteFieldView" InputToDisplayID="WebsiteField" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="WebsiteField" runat="server" Template-PropertyName="CustomerProfile.Website" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="LastLoginDateFieldView" InputToDisplayID="LastLoginDate" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="LastLoginDate" runat="server" Template-PropertyName="Account.LastLoginDate" Template-IsForSave="false" DefaultPropertyText="Never" />
                      </td>
                    </tr>
                    <%if (ModulesCollection.Instance.IsEnabled(Modules.EmailMarketing))
                      {%>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="IsSubscriber" runat="server" Template-PropertyName="IsSubscriber" Template-DisplayName="Subscriber" />
                      </td>
                    </tr>
                    <%} %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CurrencyFieldView" InputToDisplayID="CurrencyField" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="CurrencyField" runat="server" Template-PropertyName="CustomerProfile.Currency" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="NotesFiledView" InputToDisplayID="NotesFiled" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="NotesFiled" runat="server" Template-PropertyName="CustomerProfile.Notes" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="AttributesBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>
                  <%=UI.Current.CustomerAttributes%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <uc:AttributesViewer runat="server" ID="AttributeValues" />
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
