﻿Type.registerNamespace('Core.Web.Admin');            

Core.Web.Admin.LoginForm = function(loginField, passwordField, rememberMeField, validationSummary, submitButton, resetButton) {      
  this.loginField = $get(loginField);
  this.passwordField = $get(passwordField);
  this.rememberMeField = $get(rememberMeField);
  this.validationSummary = $get(validationSummary);
  this.submitButton = $get(submitButton);    
  this.resetButton = $get(resetButton);    
  
  this.addResetHandler();
  this.addEnterClickHandlers();
}

Core.Web.Admin.LoginForm.prototype = {

  clearFields : function() {
    if (this.loginField) {
      this.loginField.value = '';
    }
    if (this.passwordField) {
      this.passwordField.value = '';
    }
    if (this.rememberMeField) {
      this.rememberMeField.checked = false;
    }            
    if (this.validationSummary) {
      this.validationSummary.style.display = 'none';
    }
  },
  
  addResetHandler : function() {
    if (this.resetButton) {
      $addHandler(this.resetButton, 'click', Function.createDelegate(this, this.clearFields));
    }
  },

  addEnterClickHandlers : function () {
    if (this.submitButton) {
      if (this.loginField) {
        $addHandler(this.loginField, 'keydown', Function.createDelegate(this, this.keyDownHandler));
      }
      if (this.passwordField) {
        $addHandler(this.passwordField, 'keydown', Function.createDelegate(this, this.keyDownHandler));
      }            
    }
  },
  
  keyDownHandler : function (args) {
    if (args.keyCode == 13 && this.submitButton) {
      this.submitButton.onclick.call();
    }
  }
}

Core.Web.Admin.LoginForm.registerClass('Core.Web.Admin.LoginForm');