<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="Setup.aspx.cs" Inherits="Core.Web.Admin.Setup" %>

<%@ Import Namespace="Core.Web"%>
<%@ Import Namespace="Core.DBO.Static"%>

<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Setup/Start.ascx" TagName="Start" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Setup/DatabaseDetails.ascx" TagName="DatabaseDetails" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Setup/AccountDetails.ascx" TagName="AccountDetails" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Setup/SmtpDetails.ascx" TagName="SmtpDetails" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Setup/Installation.ascx" TagName="Installation" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Setup/Finish.ascx" TagName="Finish" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Header" runat="server">
  <table class="content-resizeble-block">
    <tbody>
      <tr>
        <td id="leftPanel" class="big-cell">
          <img id="moduleImage" src="<%=Global.ApplicationPath%>admin/Files/images/modules/Settings_Management.png" alt="Settings Management" />
          <h3 style="width: 120px" id="pageTitle">Installation</h3>
        </td>
        <td class="splitter">
          <img id="splitter" width="32" height="42" title="" alt="" src="<%=Global.ApplicationPath%>admin/Files/images/spacer.gif" />
        </td>
        <td id="rightPanel" class="resizeble-cell">
          <span class="hdr">Tip:</span>
          Core E-commerce intallation wizard help you to setup your site.
        </td>
      </tr>
    </tbody>
  </table>
  
  <script type="text/javascript" language="javascript">

    $(function() {
      $('#moduleImage').pngFix();
      $('#pageTitle').sifr({path: '<%=Global.ApplicationPath%>Files/Fonts/', font:'trebuc', color: '#47525d'});
      $('#splitter').makeCollapsable(
        {mainPanel: '#leftPanel', resizablePanel:'#rightPanel'}, 
        {expandedLinkClass:'expanded', isExpanded: true, dividerLocation: 220});
    });

  </script>  
  
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
  <table width="100%">
    <tr>
      <td id="leftColumn"></td>
      <td id ="centerColumn" style="width: 600px;">
      <Ajax:UpdatePanel runat="server" ID="SetupUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
          <div class="management-buttons flo">
            <h2 class="edit-header"><strong><%=CurrentStepTitle%></strong></h2>
          </div>
    
          <table width="100%" cellspacing="0" cellpadding="0" border="0">
            <tbody>
              <tr>
                <td width="100%" valign="top">    
                  <Tabs:TabContainer id="SetupTabMenu" runat="server">
                    <Items>
                      <Tabs:TabItem runat="server" ID="StartTab" Title="Welcome" Active="true" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>                    
                                  <uc:Start runat="server" ID="StartStep" />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </InnerContent>
                      </Tabs:TabItem>                
                      <Tabs:TabItem runat="server" ID="DatabaseDetailsTab" Title="Database Details" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>                    
                                  <uc:DatabaseDetails runat="server" ID="DatabaseDetailsStep" />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </InnerContent>
                      </Tabs:TabItem>
                      <Tabs:TabItem runat="server" ID="AccountDetailsTab" Title="Account Details" Active="true" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>
                                  <uc:AccountDetails runat="server" ID="AccountDetailsStep" />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </InnerContent>
                      </Tabs:TabItem>                                
                      <Tabs:TabItem runat="server" ID="SMTPDetailsTab" Title="SMTP Details" Active="true" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>
                                  <uc:SmtpDetails runat="server" ID="SmtpDetails" />
                                </td>
                              </tr>
                            </tbody>
                          </table>
                        </InnerContent>
                      </Tabs:TabItem>
                      <Tabs:TabItem runat="server" ID="InstallationTab" Title="Installation" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>           
                                  <uc:Installation runat="server" ID="InstallationStep" />
                                </td>
                              </tr>
                            </tbody>
                          </table>                              
                        </InnerContent>
                      </Tabs:TabItem> 
                      <Tabs:TabItem runat="server" ID="FinishTab" Title="Done" OnActivate="TabItemActivateHandler">
                        <InnerContent>
                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                            <tbody>
                              <tr>
                                <td>                     
                                  <uc:Finish runat="server" ID="FinishStep" />
                                </td>
                              </tr>
                            </tbody>
                          </table>                      
                        </InnerContent>
                      </Tabs:TabItem>                                    
                    </Items>
                  </Tabs:TabContainer>
                </td>
                <td valign="top" class="tabs-box-column">
                </td>
              </tr>
            </tbody>
          </table>
        </ContentTemplate>
      </Ajax:UpdatePanel>
      </td>
      <td></td>
    </tr>
  </table>  
</asp:Content>