﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SearchResultListing.ascx.cs" Inherits="Core.Web.Controls.SearchResult.SearchResultListing" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Products/DefaultLinkPaginator.ascx" TagPrefix="uc" TagName="Paginator" %>
<%@ Register Src="~/Controls/SearchResult/SearchResultTabMenu.ascx" TagPrefix="uc" TagName="SearchResultTabMenu" %>

<uc:SearchResultTabMenu runat="server" ID="SearchResultTabMenu" />
<div class="TabContent">
  <%if (IsVisible) { %>
  <div class="AreaPanelTop">
    <div class="ToolPanel">
      <ul class="Groups">
        <li class="GroupA">
          <ul>
            <li class="E">
              <uc:Paginator runat="server" ID="TopPaginator" />
            </li>
          </ul>
        </li>
        <li class="GroupB">
          <ul>
            <li class="E">
              <div class="Filter">
                <dl>
                  <dt class="Disabled">
                    <label>
                      <%=UI.Current.Sorting%>:</label>
                  </dt>
                  <dd>
                    <span class="Field SelectLine">
                      <Front:SortChanger runat="server" ID="ProductsSortChanger" AutoPostBack="true" />
                    </span>
                  </dd>
                </dl>
              </div>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
  <div class="AreaContent">
    <div class="ResultsPool">
      <asp:Repeater runat="server" ID="SearchResultRepeater" />
    </div>
  </div>
  <div class="AreaPanelBottom">
    <div class="ToolPanel">
      <ul class="Groups">
        <li class="GroupA">
          <ul>
            <li class="E">
              <uc:Paginator runat="server" ID="BottomPaginator" />
            </li>
          </ul>
        </li>
        <li class="GroupB">
          <ul>
            <li class="E">
              <div class="Filter">
                <dl>
                  <dt>
                    <label>
                      <%=UI.Current.Total%>: <strong>
                        <%=Count%></strong>
                      <%=GetCurrentEntityPageSizeChangerTitle()%></label>
                  </dt>
                  <dd>
                    <span class="Field SelectLine">
                      <Front:PageSizeChanger runat="server" ID="PageSizeControl" AutoPostBack="true" />
                    </span>
                  </dd>
                </dl>
              </div>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
  <%} else { %>
  <div class="NoSearchResults">
    <p><%=String.Format(UI.Current.EmptySearchResultsMessageTemplate, GetCurrentEntityPageSizeChangerTitle())%></p>
    <br />
    <p><strong><%=UI.Current.Suggestions%></strong></p>
    <ul class="IconViewA" style="margin-top:4px;">
      <%=UI.Current.SuggestionsList%>
     </ul>
  </div>
  <%} %>
</div>
