﻿Type.registerNamespace('Core.Web');

Core.Web.CustomerEditor = function(balanceRegionID, hasAccountCheckBoxID) {

  this.balanceRegion = $get(balanceRegionID);  
  this.hasAccountCheckBox = $get(hasAccountCheckBoxID)
  this.Init();  
}

Core.Web.CustomerEditor.prototype = {

  Init : function() {
    if (this.hasAccountCheckBox && this.balanceRegion) {      
      $addHandler(this.hasAccountCheckBox, 'click', Function.createDelegate(this, this.ChangeHasAccount));
      this.ChangeHasAccount();
    } 
  },
  
  ChangeHasAccount : function() {
    if (this.hasAccountCheckBox.checked) {
      this.ShowBalanceRegion();
    }
    else {
      this.HideBalanceRegion();
    }
  },
  
  HideBalanceRegion : function() {
    if (this.balanceRegion) {
      this.balanceRegion.style.display = 'none';
    }
  },
    
  ShowBalanceRegion : function() {
    if (this.balanceRegion) {
      this.balanceRegion.style.display = '';
    }
  }  
};

Core.Web.CustomerEditor.registerClass('Core.Web.CustomerEditor');
