﻿(function($) {
			
	  $.fn.galery = function(elements, options) {
	    var options = $.extend({}, $.fn.galery.defaults, options);
		    
	    imageGalery = function(imagesArea, elements, options) {
	      this.options = options;
	      this.links = new Array();
	      this.imagesArea = imagesArea;	  

        this.prevButton = elements.prevButton;
	      this.nextButton = elements.nextButton;
	      this.indicator = elements.indicator;
        this.zoomLink = elements.zoomLink;
        this.titleDisplay = elements.titleDisplay;
                  
	      this.position = options.startPosition;    
	      
	      this.prevDelegate = Function.createDelegate(this, this.goPrev);      
	      this.nextDelegate = Function.createDelegate(this, this.goNext);      
	      
	      this.init();		      
	    }
	    
		  imageGalery.prototype = {
			
		    init : function() {
          this.bindButtons();			      
          if (this.imagesArea) {
            this.collectLinks(this.imagesArea, this.links);
		      }
		      if (this.zoomLink) {
		        $(this.zoomLink).bind('click', Function.createDelegate(this, this.zoomCurrent));
		      }
		      this.updateIndicator();
		      this.updateTitle();
          this.updateIcons();
		    },
			  
		    getCount : function() {
		      if (this.links) {
		        return this.links.length;
		      }
		      else {
		        return 0;
		      }
		    },
			  
		    bindButtons : function() {
          this.bindPrevEvent();
          this.bindNextEvent();
		    },
			  
		    unbindButtons : function() {
          this.unbindPrevEvent();
          this.unbindNextEvent();
		    },
			  			  
		    bindPrevEvent : function() {
		      if (this.prevButton) {
		        $(this.prevButton).bind('click', this.prevDelegate);
		      }
		    },			  
			  
		    unbindPrevEvent : function() {
		      if (this.prevButton) {
		        $(this.prevButton).unbind('click', this.prevDelegate);
		      }
		    },		  
			  
		    bindNextEvent : function() {
		      if (this.nextButton) {
		        $(this.nextButton).bind('click', this.nextDelegate);
		      }			  
		    },
			  
		    unbindNextEvent : function() {
		      if (this.nextButton) {
		        $(this.nextButton).unbind('click', this.nextDelegate);
		      }
		    },			  
			  			  
		    collectLinks : function(node, links) {
		      if (node) {
		        if (node.tagName == 'A') {
		          links[links.length] = node;
		        }
		        else {
		          galery = this;
		          $(node).children().each(function() {
		            galery.collectLinks(this, links);
		          });
		        }
		      }
		    },
				  			
		    goPrev : function() {
		      this.unbindButtons();
		      if (this.position > 1) {
		        this.position--;
		        this.updateIndicator();
		        this.updateTitle();
            this.updateIcons();
		      }
		      $(this).oneTime(this.options.speed, this.options.blockButtonsTimerLabel, Function.createDelegate(this, this.bindButtons)); 
		    },		
			  
		    goNext : function() {
		      this.unbindButtons();
		      if (this.position < this.getCount()) {
		        this.position++;
		        this.updateIndicator();
		        this.updateTitle();
	          this.updateIcons();
		      }
		      $(this).oneTime(this.options.speed, this.options.blockButtonsTimerLabel, Function.createDelegate(this, this.bindButtons)); 
		    },

		    updateIndicator : function() {
		      if (this.indicator) {
		        $(this.indicator).html(this.position + '/' + this.getCount());
		      }
		    },
		    
		    updateTitle : function() {
          if (this.titleDisplay && this.links.length >= this.position) {
            $(this.titleDisplay).html(String.shrink(this.links[this.position - 1].title, 20));
          }
		    },
			  
		    zoomCurrent : function() {
		      if (this.links && this.links.length >= this.position) {
		        $(this.links[this.position - 1]).click();
		      }
		    },
		    
		    updateNextIcon : function() {
		      if (this.position < this.getCount()) {
		        $(this.nextButton).attr({'src' : this.options.nextIcon});
		      }
		      else {
		        $(this.nextButton).attr({'src' : this.options.nextDisabledIcon});
		      }
		    },
		    		    
		    updatePrevIcon : function() {
		      if (this.position > 1) {
		        $(this.prevButton).attr({'src' : this.options.prevIcon});
		      }
		      else {
		        $(this.prevButton).attr({'src' : this.options.prevDisabledIcon});
		      }
		    },
		    
		    updateIcons : function() {
		      this.updatePrevIcon();
		      this.updateNextIcon();
		    }
		  };
		    
	    $(this).each(function() {											
        return new imageGalery(this, elements, options);
      });
		};	
				    
    $.fn.galery.defaults = {
      startPosition : 1, 
      blockButtonsTimerLabel: 'blockButtons',
      speed: 500,
      nextIcon: 'next.gif',
      nextDisabledIcon: 'next-dis.gif',
      prevIcon: 'prev.gif',
      prevDisabledIcon: 'prev-dis.gif'
    };				
	
})(jQuery);